[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# Dirent

Record used in the fpReadDir function to return files in a directory.

## Declaration

Source position: ostypes.inc line 110

`type Dirent = record`
`d_fileno: ino64_t;` |  | Inode number of file
`d_off: off_t;` |  | Offset in directory.
`d_reclen: cushort;` |  | Record length
`d_type: cuchar;` |  | Entry type
`d_name: array [0..4095-sizeof(ino64_t)-sizeof(off_t)-sizeof(cushort)-sizeof(cuchar)] of Char;` |  | Name of file
`end;`